also require gcc when we have buildflags
[puppet_rubygems.git] / manifests / gem.pp
index 90b3af8..14b6785 100644 (file)
@@ -29,7 +29,7 @@ define rubygems::gem(
   $requiresgcc = false
 ) {
   require ::rubygems
-  if $requiresgcc {
+  if $requiresgcc or ($buildflags != 'absent') {
     require ::gcc
   }